import { stemTypeList, scoreTypeList, questionNumberTypeList, switchOption, fontSizeList } from './common';
import { getExerciseTypeList } from './questionType';

// 题型类型选项
export const questionTypeOption = [
  { label: '选择题', value: 'select' },
  { label: '判断题', value: 'judge' },
  { label: '填空题', value: 'fill' },
  { label: '连线题', value: 'matching' },
  { label: '问答题', value: 'essay_question' },
];

// 题型类型列表
export const exerciseTypeList = getExerciseTypeList(questionTypeOption);

// 阅读题数据模板
export const readData = {
  type: 'read', // 题型
  stem: '', // 题干
  description: '', // 描述
  article: '', // 文章
  answer: { score: 1, score_type: scoreTypeList[0].value }, // 答案
  question_list: [], // 题目列表
  file_id_list: [], // 文件 id 列表
  // 题型属性
  property: {
    stem_type: stemTypeList[1].value, // 题干类型
    question_number: '1', // 题号
    stem_question_number_font_size: fontSizeList[6], // 题干题号
    is_enable_description: switchOption[1].value, // 描述
    score: 1, // 分值
    score_type: scoreTypeList[0].value, // 分值类型
  },
  // 其他属性
  other: {
    question_number_type: questionNumberTypeList[1].value, // 题号类型
  },
};
